## tdeio-sword-trinity 14.1.5

=== src/CMakeLists.txt ===
add_subdirectory( data )
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBSWORD_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdeio_sword (kpart)

tde_add_kpart( tdeio_sword AUTOMOC

  SOURCES
        tdeio_sword.cpp
        renderer.cpp
        ks_osishtml.cpp
        ks_gbfhtml.cpp
        ks_thmlhtml.cpp
        utils.cpp
        swordutils.cpp
        swordoptions.cpp
        filter.cpp
        template.cpp
        plainhtml.cpp
  LINK
     tdecore-shared
     tdeio-shared
     ${LIBSWORD_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE sword.protocol
    DESTINATION ${SERVICES_INSTALL_DIR}
)

## tdeio-sword-trinity 14.0.6

=== debian/changelog ===
tdeio-sword-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:46:42 +0100

tdeio-sword-trinity (0.3-0ubuntu1) feisty; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 21 Aug 2013 19:28:29 +0200

kio-sword (0.3-0ubuntu1) feisty; urgency=low

  * New upstream version
  * Remove upstream debian/ dir to remake the orig tarball 

 -- Raphael Pinson <raphink@ubuntu.com>  Mon, 15 Jan 2007 19:32:56 +0100

kio-sword (0.2-0ubuntu2) edgy; urgency=low

  * Rebuild with libsword6 

 -- Raphaël Pinson <raphink@ichthux.com>  Thu, 28 Sep 2006 23:15:09 +0200

kio-sword (0.2-0ubuntu1) edgy; urgency=low

  * New upstream version
  * Remove old debian/ directory from source
  * Copy sword_1_5_8_fix.patch to debian/patches
  * Bump debhelper version, compat level and standards version

 -- Raphaël Pinson <raphink@ubuntu.com>  Tue, 18 Jul 2006 19:03:21 -0400

kio-sword (0.1-0ubuntu2) dapper; urgency=low

  * Rebuild for dh_iconcache

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Tue, 23 May 2006 16:46:03 +0000

kio-sword (0.1-0ubuntu1) dapper; urgency=low

  * Initial release.
  * Removed old debian/ directory.
  * Removed admin/CVS directory.
  * Patch kubuntu_01_strcmp_var.patch fixes stricmp to strcmp variable in csword.cpp, ks_osishtml.cpp
    and ks_thmlhtml.cpp to have kio-sword compile with latest sword libraries.

 -- Raphaël Pinson <raphink@raphink.net>  Thu, 17 Nov 2005 17:16:56 +0100

=== debian/control ===
Source: tdeio-sword-trinity
Section: tde
Priority: extra
Maintainer: Raphaël Pinson <raphink@raphink.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
Standards-Version: 3.7.2

Package: tdeio-sword-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror
Suggests: sword-text, sword-dict, sword-comm
Provides: sword-frontend
Description: tdeio-slave for the Sword Bible tool
 TDEio-Sword provides access to Bibles, commentaries
 and other texts in an easy to use and attractive
 interface -- the Konqueror web browser.  It does so
 using the SWORD Bible project and implementing a TDE
 ioslave, providing the sword:/ protocol.
 .
 http://lukeplant.me.uk/kio-sword/

## tdeio-sword-trinity 14.0.8

=== debian/changelog ===
tdeio-sword-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: extra
 Maintainer: Raphaël Pinson <raphink@raphink.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
 Standards-Version: 3.7.2
 
 Package: tdeio-sword-trinity

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## tdeio-sword-trinity 14.0.10

=== debian/changelog ===
tdeio-sword-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tdeio-sword-trinity
 Section: tde
 Priority: extra
-Maintainer: Raphaël Pinson <raphink@raphink.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
 Standards-Version: 3.7.2

## tdeio-sword-trinity 14.0.11

=== debian/changelog ===
tdeio-sword-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 13:18:52 +0200

## tdeio-sword-trinity 14.0.13

=== debian/changelog ===
tdeio-sword-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 07:08:40 +0200

## tdeio-sword-trinity 14.1.0

=== debian/changelog ===
tdeio-sword-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdeio-sword-trinity 14.1.1

=== debian/changelog ===
tdeio-sword-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: extra
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
 Standards-Version: 3.7.2
 
 Package: tdeio-sword-trinity

## tdeio-sword-trinity 14.1.2

=== debian/changelog ===
tdeio-sword-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 02 Apr 2024 10:04:59 +0200

## tdeio-sword-trinity 14.1.3

=== debian/changelog ===
tdeio-sword-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:40:17 +0200

## tdeio-sword-trinity 14.1.4

=== debian/changelog ===
tdeio-sword-trinity (4:14.1.4-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: extra
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
 Standards-Version: 3.7.2
 
 Package: tdeio-sword-trinity

## tdeio-sword-trinity 14.1.5~pre0

=== debian/changelog ===
tdeio-sword-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ea4cfc889be61a2e19b81d2b658c1b72157aa0d4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-sword-trinity 14.1.5

=== debian/changelog ===
tdeio-sword-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-sword-trinity 14.1.6~pre0

=== debian/changelog ===
tdeio-sword-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ea4cfc889be61a2e19b81d2b658c1b72157aa0d4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-sword-trinity 14.1.6~pre1

=== debian/changelog ===
tdeio-sword-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 21b712df98a0a83236ecd95af29d7e9eb5c50fbd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:11:17 +0100

## tdeio-sword-trinity 14.2.0~pre14

=== debian/changelog ===
tdeio-sword-trinity (4:14.2.0~pre14-0ubuntu20.04.0+6) focal; urgency=low

  * Automated git build for 76787c3868b6ad8ece3361a4294deafb53b53967
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: extra
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libsword-dev (>= 1.5.8-1), tdelibs14-trinity-dev
 Standards-Version: 3.7.2
 
 Package: tdeio-sword-trinity

## tdeio-sword-trinity 14.2.0~pre15

=== debian/changelog ===
tdeio-sword-trinity (4:14.2.0~pre15-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 38892d459a521538eccbf2126f011cfc3555a11a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-sword

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:10:11 +0100
